Pattern (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.rule
Interface Pattern

All Superinterfaces:
  NodeFilter

All Known Implementing Classes:
  DefaultPattern, NodeTypePattern, XPathPattern

public interface Pattern
extends NodeFilter

`Pattern` defines the behaviour for pattern in the XSLT processing model.

Version:
  $Revision: 1.6 $
Author:
  James Strachan

Field Summary
`static short` | `ANY_NODE` Matches any node
`static double` | `DEFAULT_PRIORITY` According to the spec we should return 0.5 if we cannot determine the priority
`static short` | `NONE` Matches no nodes
`static short` | `NUMBER_OF_TYPES` Count of the number of node types

Method Summary
`String` | `getMatchesNodeName()` For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches.
`short` | `getMatchType()` DOCUMENT ME!
`double` | `getPriority()` Returns the default resolution policy of the pattern according to the XSLT conflict resolution spec .
`Pattern[]` | `getUnionPatterns()` If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern.
`boolean` | `matches(Node node)` DOCUMENT ME!

Field Detail

### ANY_NODE

    public static final short ANY_NODE

  Matches any node

  See Also:
    Constant Field Values

### NONE

    public static final short NONE

  Matches no nodes

  See Also:
    Constant Field Values

### NUMBER_OF_TYPES

    public static final short NUMBER_OF_TYPES

  Count of the number of node types

  See Also:
    Constant Field Values

### DEFAULT_PRIORITY

    public static final double DEFAULT_PRIORITY

  According to the spec we should return 0.5 if we cannot determine the priority

  See Also:
    Constant Field Values

Method Detail

### matches

    public boolean matches(Node node)

  DOCUMENT ME!

  Specified by:
    `matches` in interface `NodeFilter`
  Parameters:
    `node` - DOCUMENT ME!
  Returns:
    true if the pattern matches the given DOM4J node.

### getPriority

    public double getPriority()

  Returns the default resolution policy of the pattern according to the XSLT conflict resolution spec .

  Returns:
    DOCUMENT ME!

### getUnionPatterns

    public Pattern[] getUnionPatterns()

  If this pattern is a union pattern then this method should return an array of patterns which describe the union pattern, which should contain more than one pattern. Otherwise this method should return null.

  Returns:
    an array of the patterns which make up this union pattern or null if this pattern is not a union pattern

### getMatchType

    public short getMatchType()

  DOCUMENT ME!

  Returns:
    the type of node the pattern matches which by default should return ANY_NODE if it can match any kind of node.

### getMatchesNodeName

    public String getMatchesNodeName()

  For patterns which only match an ATTRIBUTE_NODE or an ELEMENT_NODE then this pattern may return the name of the element or attribute it matches. This allows a more efficient rule matching algorithm to be performed, rather than a brute force approach of evaluating every pattern for a given Node.

  Returns:
    the name of the element or attribute this pattern matches or null if this pattern matches any or more than one name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.